Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78181 - redhat-artwork-0.48-2.src.rpm needs gdk-pixbuf-devel as prerequisite
Summary: redhat-artwork-0.48-2.src.rpm needs gdk-pixbuf-devel as prerequisite
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-artwork
Version: 1.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-11-19 20:00 UTC by Ken MacFarlane
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-19 16:36:31 UTC


Attachments (Terms of Use)

Description Ken MacFarlane 2002-11-19 20:00:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020911

Description of problem:
rpmbuild --rebuild redhat-artwork-0.48-2.src.rpm fails at compile of
bluecurve1_theme_main.c if gdk-pixbuf-devel is not installed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -e gdk-pixbuf-devel
2. rpmbuild --rebuild redhat-artwork-0.48-2.src.rpm
	

Actual Results:  make[5]: Entering directory
`/usr/src/redhat/BUILD/redhat-artwork-0.48/art/gtk/Bluecurve1'
/bin/sh ../../../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../../..
-I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/gli
b/include -I/usr/X11R6/include   -DQT_THREAD_SUPPORT  -D_REENTRANT  -ansi -W
-Wall -pedantic -Wshadow -Wpointer-arith -Wmissing-prototypes -
Wwrite-strings -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -O2  -O2 -march=i386 -mcpu=i686
-Wall -c bluecurve1_theme_main.c
gcc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/include/gtk-1.2
-I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -DQT_THRE
AD_SUPPORT -D_REENTRANT -ansi -W -Wall -pedantic -Wshadow -Wpointer-arith
-Wmissing-prototypes -Wwrite-strings -D_XOPEN_SOURCE=500 -D_BSD_SO
URCE -O2 -O2 -march=i386 -mcpu=i686 -Wall -c bluecurve1_theme_main.c  -fPIC
-DPIC -o bluecurve1_theme_main.lo
bluecurve1_theme_main.c:3:35: gdk-pixbuf/gdk-pixbuf.h: No such file or directory
bluecurve1_theme_main.c:521: parse error before '*' token
[errors truncated]

Expected Results:  if gdk-pixbuf-devel is installed, rpmbuild should complete to
success.  If not installed, rpmbuild should fail immediately indicating
gdk-pixbuf-devel requirement.

Additional info:

Comment 1 Bill Nottingham 2002-12-19 16:36:31 UTC
fixed in cvs, will be in 0.49-5 or later.


Note You need to log in before you can comment on or make changes to this bug.